<!DOCTYPE html>
<html lang="en" ng-app="spseApp">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Penawaran Peserta">
    <title>Pembukaan Tender</title>
    <link rel="stylesheet" href="#{assets '/angular/bootstrap.min.css'/}" type="text/css" media="screen" />
    <link rel="stylesheet" href="#{assets '/angular/handsontable.min.css'/}" type="text/css">
	<link rel="stylesheet" href="#{assets '/angular/style.css'/}" type="text/css"/>
  </head>
  <body>
    
    <!-- navigation bar, controlled by UserCtrl -->
    <div class="navbar navbar-default fixed-top" role="navigation" ng-controller="UserCtrl">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">&{'penawaran.toggle_navigation'}</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">&{'penawaran.apendo_panitia'}</a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav ml-auto">
            <li><a id="user" href="#" ng-bind="user.name" data-container=".navbar-fixed-top" data-toggle="popover" data-placement="bottom"></a></li>
            <li><a href="" ng-click="logout()">&{'penawaran.keluar'}</a></li>
          </ul>
        </div>
      </div>
    </div>

    <!-- main container -->
    <div class="container">
      <!-- progress info section -->
      <div id="tasks">
      </div>


      <!-- the envelopes, represented as tabs -->
      <ul id="tabs" class="nav nav-tabs" ng-controller="EnvelopesCtrl" ng-cloak>
        <li>
          <a href="#info" data-toggle="tab" data-index="0">&{'penawaran.admin'}</a>
        </li>
        <li>
          <a href="#vendors" data-toggle="tab" data-index="2">&{'penawaran.peserta'}</a>
        </li>
      </ul>

      <!-- the tabs content -->
      <div class="tab-content">

        <!-- envelope: info -->
        <div class="tab-pane" id="info" ng-controller="InfoCtrl">
          <br />
          <table class="table table-sm">
            <thead>
              <th> </th>
              <th> </th>
            </thead>
            <tbody>
              <tr><td width="200"><b>&{'penawaran.kode_tender'}</b></td><td ng-bind="info.id"></td></tr>
              <tr><td><b>&{'penawaran.nama_paket'}</b></td><td ng-bind="info.name"></td></tr>
              <tr><td><b>&{'penawaran.instansi'}</b></td><td ng-bind="info.organization"></td></tr>
              <tr><td><b>&{'penawaran.nilai_hps'}</b></td><td ng-bind="info.hps | currency:'Rp. '"></td></tr>
              <tr><td><b>LPSE</b></td><td ng-bind="info.lpse"></td></tr> 
              <tr><td><b>&{'penawaran.masa_berlaku'}/b></td><td ng-bind="(info.period || 30) + ' hari'"></td></tr>
            </tbody>
          </table>
        </div>

        <!-- envelope: vendors -->
        <div class="tab-pane" id="vendors" ng-controller="VendorsCtrl">
          <br />
          <div id="vendors-actions" class="text-center" ng-cloak>
            <button class="btn btn-secondary" ng-click="download()" ng-disabled="downloading">
              <span ng-show="!downloading" ng-bind="vendors.length > 0 ? 'Perbarui' : 'Buka' "></span>
              <span ng-show="downloading">&{'penawaran.mengambil_data'}...</span>
            </button>
          </div>

          <table class="table table-sm" ng-show="vendors.length > 0">
            <thead>
              <th>#</th>
              <th>&{'penawaran.peserta'}</th>
              <th>&{'penawaran.berkas'}</th>
            </thead>
            <tbody>
              <tr ng-repeat="vendor in vendors">
                <td ng-bind="$index+1"></td>
                <td>
                  <b><span ng-bind="vendor.user.name"></span></b><br />
                  (<span ng-bind="vendor.user.username"></span>)<br />
                  <span ng-bind="vendor.user.address"></span><br />
                  <span ng-bind="vendor.user.phone"></span><br />
                </td>
                <td>
                  <button class="btn btn-default" ng-click="open(vendor,$index)" ng-disabled="vendor.downloading || downloading" ><span ng-bind="vendor.downloaded ? 'Buka' : (vendor.downloading ? '&{'penawaran.mengunduh'}...' : '&{'penawaran.unduh'}')"></span></button>
                </td>
              </tr>

            </tbody>
          </table>


        </div>

      </div>


    </div>

    <!-- data, rendered by server: 0. user, 1. info, 2. access token, 3. upload url -->
    <script type="text/javascript">
      var user = {
	        id : "${pegawai.peg_id}",
	        username : "${pegawai.user.username}",
	        password : "",
	        name : "${pegawai.peg_nama}",
	        address : "${pegawai.peg_alamat}",
	        phone : "${pegawai.peg_telepon}",
	        role : "committee"
        }
	    
		var info = {
        	id : "${lelang.lls_id}",
	        name : "${lelang?.paket?.pkt_nama}",
	        organization : "${lelang?.paket?.satuan_kerja?.instansi?.nama}",
	        lpse : "${namaLpse}",
	        hps : ${lelang?.paket?.pkt_hps},
            privKey : ["${keyAll}", "${keyAdmTeknis}", "${keyHarga}"]
		}
      var submissions = [
                     	#{list items:doHargakList, as:'item'}
                     	{
                     		"id" : "${item.dok_id_attachment}",
                     		"psrId" : "${item.peserta.psr_id}"
                     	},
                     	#{/list}
                     ]
                     
      var token = '${access_token}';
      var download_url = '${downloadUrl}';
      var sorting_url = '${sortingUrl}';     

      // 4. sorting url string
      // e.g. "http://localhost:3006/client/commitee/sort/53c35857675d81f40e2c7919"
      //var sortingUrl = '{{ sortingUrl }}'; 

    </script>

    <!-- dependencies -->
    <script type="text/javascript" src="#{assets '/angular/jquery.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/bootstrap.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/hansontable.min.js'/}"></script>
    <!-- ng -->
    <script type="text/javascript" src="#{assets '/angular/angular.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/safe-apply.js'/}"></script>
    <!-- the app -->
    <script type="text/javascript" src="#{assets '/angular/app.committee.lt17.js'/}"></script>
  </body>
</html>